"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestCommandComponent = void 0;
const type_1 = require("../type");
class TestCommandComponent extends type_1.ShellComponent {
    noParametersCommand() {
        return __awaiter(this, void 0, void 0, function* () {
            return `hello world`;
        });
    }
    twoParametersCommand(arg1, arg2) {
        return __awaiter(this, void 0, void 0, function* () {
            return `arg1: ${arg1} | arg2: ${arg2}`;
        });
    }
}
exports.TestCommandComponent = TestCommandComponent;
